<?php

namespace App\Console\Commands;

use App\Parser;
use Illuminate\Console\Command;

class ParseLinkCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'app:parselink {url}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Parse given link';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $parser = Parser::factory($this->argument('url'));
        $parser->parse();

        return 0;
    }
}
